umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes
widgetbase.h File Reference
`#include "basictypes.h"`
`#include "icon_utils.h"`
`#include <QColor>`
`#include <QDomDocument>`
`#include <QFont>`
`#include <QGraphicsObject>`
`#include <QObject>`
`#include <QPainter>`
`#include <QPointer>`
`#include <QXmlStreamWriter>`

Go to the source code of this file.

## Classes
class | QGraphicsObjectWrapper
class | WidgetBase
| Common base class for UMLWidget and AssociationWidget. More...